public class Person
{
	private String name;
	private String vorname;
	private static int anzahl;
	
	Person (String name, String vorname)
	{
		this.name=name;
		this.vorname=vorname;
		anzahl++;
	}
	
	public String toString()
	{

		return getClass().getName()+
				" Name: "+
				this.name+
				", Vorname:"
				+this.vorname;

	}
	public boolean equals(Object o)
	{
		if(o instanceof Person)
		{
			Person pP = (Person) o;
			return	pP.vorname.equals(this.vorname)&&
						pP.name.equals(this.name);
		}
		return super.equals(o);
	}
	
	void setName(String name)
	{
		this.name=name;
	}
	
	void setVorname(String vorname)
	{
		this.vorname=vorname;
	}
	
	String getName()
	{
		return this.name;
	}
	
	String getVorname()
	{
		return this.vorname;
	}
	
	static int getAnzahlPersonen()
	{
		return anzahl;
	}
}